Subject: Re: Will git have a baseline feature or something alike?

From: Jakub Narebski <[email-masked]>
Date: Sat, 1 Mar 2008 16:41:49 +0100

On Sat, 1 Mar 2008, eric miao wrote:
> On Fri, Feb 29, 2008 at 9:21 PM, Jakub Narebski <[email-masked]> wrote:

[could you please remove irrelevant parts of the reply? TIA]

>> There is so called "shallow clone" feature, which allows to clone only
>> part of history. Currently it dupports only --depth, i.e. number of
>> commits from tips; it could I guess support providing tag as
>> delimiter. (You are welcome to implement it ;-).
>>
> 
> I haven't ever used the shallow clone, but it looks still a bit different
> from what I thought originally, say, if I download linux-2.6.24.tar.bz2
> from kernel.org, that's about 40MB and should be a fair amount.
> I then unpack and "git init", I expect it to recognize it's a v2.6.24,
> and I can thereafter use "git fetch" to fetch those commits after
> v2.6.24 from git.kernel.org. Is this possible?

No, this doesn't work and couldn't work. The tarfile contains only
_contents_ of the working directory, and perhaps commit-id, but it
doesn't contain even shred of history. Git has no information of
where this content is in linux kernel git history.

You have to do "git clone --depth=1 <url>"; surrently there is no
way to specify "git clone --from=<tag> <url>". I guess you can try
to get info browsing gitweb, and fudge with grafts.

-- 
Jakub Narebski
Poland